Subject: Re: linux-next: manual merge of the drm tree with the v4l-dvb tree

From: Philipp Zabel <[email-masked]>
Date: Fri, 27 Jul 2018 09:57:43 +0200

On Fri, 2018-07-27 at 14:36 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the drm tree got a conflict in:
> 
>   drivers/gpu/ipu-v3/ipu-cpmem.c
> 
> between commit:
> 
>   343b23a7c6b6 ("media: gpu: ipu-v3: Allow negative offsets for interlaced scanning")
> 
> from the v4l-dvb tree and commit:
> 
>   4e3c5d7e05be ("gpu: ipu-v3: Allow negative offsets for interlaced scanning")
> 
> from the drm tree.
>
> I fixed it up (I just used the drm tree version)

This is correct.

>  and can carry the fix
> as necessary. This is now fixed as far as linux-next is concerned, but
> any non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Steve had pointed out a valid issue with 343b23a7c6b6, I didn't expect
this patch to get picked up. I should have mentioned on linux-media that
I had submitted the fixed version for inclusion in drm-next.

regards
Philipp
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel